<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler,log4net, Version=2.0.8.0, Culture=neutral, PublicKeyToken=669e0ddf0bb1aa2a" />
  </configSections>

    <!--<system.diagnostics>
		<sources>
			<source name="System.ServiceModel"
			        switchValue="Information, ActivityTracing"
			        propagateActivity="true" >
				<listeners>
					<add name="xml"/>
				</listeners>
			</source>
			<source name="System.ServiceModel.MessageLogging">
				<listeners>
					<add name="xml"/>
				</listeners>
			</source>
			<source name="myUserTraceSource"
			        switchValue="Information, ActivityTracing">
				<listeners>
					<add name="xml"/>
				</listeners>
			</source>
		</sources>
		<sharedListeners>
			<add name="xml"
			     type="System.Diagnostics.XmlWriterTraceListener"
			     initializeData="SicUI_WCF_Error.svclog" />
		</sharedListeners>
	</system.diagnostics>-->
	<system.serviceModel>
    <bindings>
      <netTcpBinding>

        <binding name="Aitex_netTcpBinding" maxReceivedMessageSize="2147483647" openTimeout="00:00:05" closeTimeout="00:03:00" receiveTimeout="00:30:00" sendTimeout="00:30:00">
          <readerQuotas maxDepth="132" maxStringContentLength="1048576" maxArrayLength="163840000" maxBytesPerRead="14096" maxNameTableCharCount="116384" />
          <security mode="None" />
        </binding>
      </netTcpBinding>
    </bindings>
    <behaviors>
      <endpointBehaviors>
        <behavior name="EndpointBehavior">
          <dataContractSerializer maxItemsInObjectGraph="2147483647" />
        </behavior>
      </endpointBehaviors>
    </behaviors>
    <client>
      <endpoint address="net.tcp://localhost:18751/InvokeService" behaviorConfiguration="EndpointBehavior" binding="netTcpBinding" bindingConfiguration="Aitex_netTcpBinding" contract="MECF.Framework.Common.OperationCenter.IInvokeService" name="Client_IInvokeService" />
      <endpoint address="net.tcp://localhost:18752/EventService" behaviorConfiguration="EndpointBehavior" binding="netTcpBinding" bindingConfiguration="Aitex_netTcpBinding" contract="Aitex.Core.WCF.Interface.IEventService" name="Client_IEventService" />

      <endpoint address="net.tcp://localhost:18771/QueryDataService" behaviorConfiguration="EndpointBehavior" binding="netTcpBinding" bindingConfiguration="Aitex_netTcpBinding" contract="MECF.Framework.Common.DataCenter.IQueryDataService" name="Client_IQueryDataService" />
      <endpoint address="net.tcp://localhost:18773/RecipeService" behaviorConfiguration="EndpointBehavior" binding="netTcpBinding" bindingConfiguration="Aitex_netTcpBinding" contract="MECF.Framework.Common.RecipeCenter.IRecipeService" name="Client_IRecipeService" />
      <endpoint address="net.tcp://localhost:18775/AccountService" behaviorConfiguration="EndpointBehavior" binding="netTcpBinding" bindingConfiguration="Aitex_netTcpBinding" contract="Aitex.Core.Account.IAccountService" name="Client_IAccountService" />
      
    </client>
  </system.serviceModel>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2" />
  </startup>


  <log4net>
    <appender name="xmlFileAppender" type="log4net.Appender.RollingFileAppender">
      <param name="File" value="Logs\log" />
      <param name="AppendToFile" value="true" />
      <param name="RollingStyle" value="Date" />
      <maxSizeRollBackups value="300" />
      <param name="StaticLogFileName" value="false" />
      <datePattern value="yyyyMMdd'.xlog'" />
      <layout type="log4net.Layout.XmlLayoutSchemaLog4j">
	      <locationInfo value="true" />
      </layout>
    </appender>
	  <appender name="txtFileAppender" type="log4net.Appender.RollingFileAppender">
		  <param name="File" value="Logs\log" />
		  <param name="AppendToFile" value="true" />
		  <param name="RollingStyle" value="Date" />
		  <param name="StaticLogFileName" value="false" />
		  <datePattern value="yyyyMMdd'.log'" />
		  <encoding value="utf-8" />
		  <maxSizeRollBackups value="120" />
		  <layout type="log4net.Layout.PatternLayout,log4net">
			  <param name="ConversionPattern" value="%m%n" />
			  <param name="Header" value="&#13;&#10;&lt;=====Sic Begin=====&gt;&#13;&#10;" />
			  <param name="Footer" value="&#13;&#10;&lt;=====Sic End=====&gt;&#13;&#10;" />
		  </layout>
	  </appender>
    <root>
      <level value="INFO" />
      <appender-ref ref="txtFileAppender" />
    </root>
  </log4net>
</configuration>
